package com.tmerclub.cloud.order.constant;

/**
 * 调拨订单状态
 * @author gaozijie
 * @date 2023-11-20
 */
public enum AllotOrderStatusEnum {

    /**
     * 已作废
     */
    VOIDED(0, "已作废"),

    /**
     * 待发货
     */
    WAIT_STOCK(1, "待入库"),

    /**
     * 部分入库
     */
    PARTIALLY_STOCK(2, "部分入库"),

    /**
     * 已完成
     */
    COMPLETION(3, "已完成");

    private final Integer num;

    private final String desc;

    AllotOrderStatusEnum(Integer num, String desc) {
        this.num = num;
        this.desc = desc;
    }

    public Integer getNum() {
        return num;
    }

    public String getDesc() {
        return desc;
    }
}
